#
# This file controls the configuration of the audit daemon
#

{% if configure_auditd_local_events == "yes" %}local_events = yes{% elif configure_auditd_local_events == "no" %}local_events = no{% endif %}
{% if configure_auditd_write_logs == "yes" %}write_logs = yes{% elif configure_auditd_write_logs == "no" %}write_logs = no{% endif %}
log_file = /var/log/audit/audit.log
{% if configure_auditd_log_group == "yes" %}log_group = {{ auditd_log_group }}{% elif configure_auditd_log_group == "no" %}log_group = root{% endif %}
{% if configure_auditd_log_format == "yes" %}log_format = {{ auditd_log_format }}{% elif configure_auditd_log_format == "no" %}log_format = ENRICHED{% endif %}
flush = INCREMENTAL_ASYNC
{% if configure_auditd_freq == "yes" %}freq = {{ auditd_freq }}{% elif configure_auditd_freq == "no" %}freq = 50{% endif %}
max_log_file = 8
num_logs = 5
priority_boost = 4
{% if configure_auditd_name_format == "yes" %}name_format = {{ auditd_name_format }}{% elif configure_auditd_name_format == "no" %}name_format = NONE{% endif %}
##name = mydomain
{% if configure_auditd_max_log_file_action == "yes" %}max_log_file_action = {{ auditd_max_log_file_action }}{% elif configure_auditd_max_log_file_action == "no" %}max_log_file_action = ROTATE{% endif %}
{% if configure_auditd_disk_space_left == "yes" %}space_left = {{ auditd_disk_space_left }}{% elif configure_auditd_disk_space_left == "no" %}space_left = 75{% endif %}
{% if configure_auditd_space_left_action == "yes" %}space_left_action = {{ auditd_space_left_action }}{% elif configure_auditd_space_left_action == "no" %}space_left_action = SYSLOG{% endif %}
verify_email = yes
{% if configure_auditd_action_mail_acct == "yes" %}action_mail_acct = {{ auditd_action_mail_acct }}{% elif configure_auditd_action_mail_acct == "no" %}action_mail_acct = root{% endif %}
{% if configure_auditd_admin_space_left == "yes" %}admin_space_left = {{ auditd_admin_space_left }}{% elif configure_auditd_admin_space_left == "yes" %}{% endif %}
{% if configure_auditd_admin_space_left_action == "yes" %}admin_space_left_action = {{ auditd_admin_space_left_action }}{% elif configure_auditd_admin_space_left_action == "no" %}admin_space_left_action = SUSPEND{% endif %}
{% if configure_auditd_disk_full_action == "yes" %}disk_full_action = {{ auditd_disk_full_action }}{% elif configure_auditd_disk_full_action == "no" %}disk_full_action = SUSPEND{% endif %}
{% if configure_auditd_disk_error_action == "yes" %}disk_error_action = {{ auditd_disk_error_action }}{%elif configure_auditd_disk_error_action == "no" %}disk_error_action = SUSPEND{% endif %}
use_libwrap = yes
##tcp_listen_port = 60
tcp_listen_queue = 5
tcp_max_per_addr = 1
##tcp_client_ports = 1024-65535
tcp_client_max_idle = 0
transport = TCP
krb5_principal = auditd
##krb5_key_file = /etc/audit/audit.key
distribute_network = no
q_depth = 1200
{% if configure_auditd_overflow_action == "yes" %}overflow_action = {{ auditd_overflow_action }}{% elif configure_auditd_overflow_action == "no" %}overflow_action = SYSLOG{% endif %}
max_restarts = 10
plugin_dir = /etc/audit/plugins.d
end_of_event_timeout = 2
